Daily security posture trend of one cluster
import requests
url = "https://platform.ankra.app/org/clusters/imported/{cluster_id}/security/trivy/history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/org/clusters/imported/{cluster_id}/security/trivy/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/org/clusters/imported/{cluster_id}/security/trivy/history \
--header 'Authorization: Bearer <token>'{
"days": 123,
"items": [
{
"date": "<string>",
"findings": 123,
"critical": 123,
"high": 123,
"medium": 123,
"low": 123,
"unknown": 123,
"fixable_critical": 123,
"fixable_high": 123,
"workloads": 123,
"namespaces": 123,
"risk_score": 123,
"actionable_findings": 123,
"actionable_critical": 123,
"actionable_high": 123,
"actionable_medium": 123,
"actionable_low": 123,
"actionable_unknown": 123,
"actionable_fixable_critical": 123,
"actionable_fixable_high": 123,
"actionable_risk_score": 123,
"acknowledged_findings": 123,
"acknowledged_critical": 123,
"acknowledged_high": 123,
"accepted_risk_findings": 123,
"accepted_risk_critical": 123,
"accepted_risk_high": 123
}
]
}{
"detail": "permission_denied",
"permission": "<string>",
"scope_type": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}Security
Daily security posture trend of one cluster
GET
/
org
/
clusters
/
imported
/
{cluster_id}
/
security
/
trivy
/
history
Daily security posture trend of one cluster
import requests
url = "https://platform.ankra.app/org/clusters/imported/{cluster_id}/security/trivy/history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/org/clusters/imported/{cluster_id}/security/trivy/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/org/clusters/imported/{cluster_id}/security/trivy/history \
--header 'Authorization: Bearer <token>'{
"days": 123,
"items": [
{
"date": "<string>",
"findings": 123,
"critical": 123,
"high": 123,
"medium": 123,
"low": 123,
"unknown": 123,
"fixable_critical": 123,
"fixable_high": 123,
"workloads": 123,
"namespaces": 123,
"risk_score": 123,
"actionable_findings": 123,
"actionable_critical": 123,
"actionable_high": 123,
"actionable_medium": 123,
"actionable_low": 123,
"actionable_unknown": 123,
"actionable_fixable_critical": 123,
"actionable_fixable_high": 123,
"actionable_risk_score": 123,
"acknowledged_findings": 123,
"acknowledged_critical": 123,
"acknowledged_high": 123,
"accepted_risk_findings": 123,
"accepted_risk_critical": 123,
"accepted_risk_high": 123
}
]
}{
"detail": "permission_denied",
"permission": "<string>",
"scope_type": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Trend window in days, 1 to 365 (default 90); out-of-range values are clamped.